<?php
session_start();
  include_once("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
extract($_POST);
$id_cd=$sesion->id;
  $ok=0;

			

   $qd = "SELECT productos_idprod, cant FROM pedido where transacciones_idtransacciones='$transac'";
 $cd = mysqli_query($conexion, $qd) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
 
 
			while($renglon = mysqli_fetch_row($cd))

			{
 $qp = "update stock set cantidad=cantidad-$renglon[1] where idprod='$renglon[0]' and idcd='$id_cd'";
$cp = mysqli_query($conexion, $qp) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
				

			};

 $qp = "update transacciones set statusentrega='ENTREGADO', fechae=CURDATE() where idtransacciones='$transac'";
$cp = mysqli_query($conexion, $qp) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

	
 echo"<center><br><font color=\"#000099\" size=\"+1\"><b>El producto ha sido descontado de almac&eacute;n con &eacute;xito.</b></font><br><br>
 <form name=\"busca\" action=\"entregaped.php\" method=\"post\">

		
<input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"Regresar a pedidos por entregar\" /></form></center><br><br>";

?>



